Skip to main content
GET
/
v2
/
security
/
projects
/
{project_id}
/
attack-vectors
Get Project Attack Vectors
curl --request GET \
  --url https://api.valiqor.com/v2/security/projects/{project_id}/attack-vectors \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "vector_template_id": "<string>",
    "key": "<string>",
    "display_name": "<string>",
    "enabled": true,
    "visible_in_ui": true,
    "severity": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

project_id
string
required

Response

Successful Response

id
string
required
vector_template_id
string
required
key
string
required
display_name
string
required
enabled
boolean
required
visible_in_ui
boolean
required
severity
string | null
required